Diff of /trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 112 by harbaum, Fri Mar 6 13:41:08 2009 UTC revision 118 by harbaum, Mon Mar 9 14:28:35 2009 UTC
# Line 644  osso_CFLAGS Line 644  osso_CFLAGS
644  osso_LIBS  osso_LIBS
645  hildon_fm_2_CFLAGS  hildon_fm_2_CFLAGS
646  hildon_fm_2_LIBS  hildon_fm_2_LIBS
647    liblocation_CFLAGS
648    liblocation_LIBS
649  gpsbt_CFLAGS  gpsbt_CFLAGS
650  gpsbt_LIBS  gpsbt_LIBS
651  EXTRA_OBJS  EXTRA_OBJS
# Line 678  osso_CFLAGS Line 680  osso_CFLAGS
680  osso_LIBS  osso_LIBS
681  hildon_fm_2_CFLAGS  hildon_fm_2_CFLAGS
682  hildon_fm_2_LIBS  hildon_fm_2_LIBS
683    liblocation_CFLAGS
684    liblocation_LIBS
685  gpsbt_CFLAGS  gpsbt_CFLAGS
686  gpsbt_LIBS  gpsbt_LIBS
687  gtk_CFLAGS  gtk_CFLAGS
# Line 1285  Some influential environment variables: Line 1289  Some influential environment variables:
1289                C compiler flags for hildon_fm_2, overriding pkg-config                C compiler flags for hildon_fm_2, overriding pkg-config
1290    hildon_fm_2_LIBS    hildon_fm_2_LIBS
1291                linker flags for hildon_fm_2, overriding pkg-config                linker flags for hildon_fm_2, overriding pkg-config
1292      liblocation_CFLAGS
1293                  C compiler flags for liblocation, overriding pkg-config
1294      liblocation_LIBS
1295                  linker flags for liblocation, overriding pkg-config
1296    gpsbt_CFLAGS    gpsbt_CFLAGS
1297                C compiler flags for gpsbt, overriding pkg-config                C compiler flags for gpsbt, overriding pkg-config
1298    gpsbt_LIBS  linker flags for gpsbt, overriding pkg-config    gpsbt_LIBS  linker flags for gpsbt, overriding pkg-config
# Line 3509  fi Line 3517  fi
3517    CFLAGS="$CFLAGS $hildon_fm_2_CFLAGS"    CFLAGS="$CFLAGS $hildon_fm_2_CFLAGS"
3518    LIBS="$LIBS $hildon_fm_2_LIBS"    LIBS="$LIBS $hildon_fm_2_LIBS"
3519    
3520      # prefer liblocation over gpsbt to control gps
3521    if test -n "$PKG_CONFIG" && \    if test -n "$PKG_CONFIG" && \
3522      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gps-bt\"") >&5      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"liblocation\"") >&5
3523    ($PKG_CONFIG --exists --print-errors "gps-bt") 2>&5    ($PKG_CONFIG --exists --print-errors "liblocation") 2>&5
3524      ac_status=$?
3525      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3526      (exit $ac_status); }; then
3527    
3528    
3529    pkg_failed=no
3530    { echo "$as_me:$LINENO: checking for liblocation" >&5
3531    echo $ECHO_N "checking for liblocation... $ECHO_C" >&6; }
3532    
3533    if test -n "$PKG_CONFIG"; then
3534        if test -n "$liblocation_CFLAGS"; then
3535            pkg_cv_liblocation_CFLAGS="$liblocation_CFLAGS"
3536        else
3537            if test -n "$PKG_CONFIG" && \
3538        { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"liblocation\"") >&5
3539      ($PKG_CONFIG --exists --print-errors "liblocation") 2>&5
3540      ac_status=$?
3541      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3542      (exit $ac_status); }; then
3543      pkg_cv_liblocation_CFLAGS=`$PKG_CONFIG --cflags "liblocation" 2>/dev/null`
3544    else
3545      pkg_failed=yes
3546    fi
3547        fi
3548    else
3549            pkg_failed=untried
3550    fi
3551    if test -n "$PKG_CONFIG"; then
3552        if test -n "$liblocation_LIBS"; then
3553            pkg_cv_liblocation_LIBS="$liblocation_LIBS"
3554        else
3555            if test -n "$PKG_CONFIG" && \
3556        { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"liblocation\"") >&5
3557      ($PKG_CONFIG --exists --print-errors "liblocation") 2>&5
3558      ac_status=$?
3559      echo "$as_me:$LINENO: \$? = $ac_status" >&5
3560      (exit $ac_status); }; then
3561      pkg_cv_liblocation_LIBS=`$PKG_CONFIG --libs "liblocation" 2>/dev/null`
3562    else
3563      pkg_failed=yes
3564    fi
3565        fi
3566    else
3567            pkg_failed=untried
3568    fi
3569    
3570    
3571    
3572    if test $pkg_failed = yes; then
3573    
3574    if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
3575            _pkg_short_errors_supported=yes
3576    else
3577            _pkg_short_errors_supported=no
3578    fi
3579            if test $_pkg_short_errors_supported = yes; then
3580                    liblocation_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "liblocation"`
3581            else
3582                    liblocation_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "liblocation"`
3583            fi
3584            # Put the nasty error message in config.log where it belongs
3585            echo "$liblocation_PKG_ERRORS" >&5
3586    
3587            { { echo "$as_me:$LINENO: error: Package requirements (liblocation) were not met:
3588    
3589    $liblocation_PKG_ERRORS
3590    
3591    Consider adjusting the PKG_CONFIG_PATH environment variable if you
3592    installed software in a non-standard prefix.
3593    
3594    Alternatively, you may set the environment variables liblocation_CFLAGS
3595    and liblocation_LIBS to avoid the need to call pkg-config.
3596    See the pkg-config man page for more details.
3597    " >&5
3598    echo "$as_me: error: Package requirements (liblocation) were not met:
3599    
3600    $liblocation_PKG_ERRORS
3601    
3602    Consider adjusting the PKG_CONFIG_PATH environment variable if you
3603    installed software in a non-standard prefix.
3604    
3605    Alternatively, you may set the environment variables liblocation_CFLAGS
3606    and liblocation_LIBS to avoid the need to call pkg-config.
3607    See the pkg-config man page for more details.
3608    " >&2;}
3609       { (exit 1); exit 1; }; }
3610    elif test $pkg_failed = untried; then
3611            { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
3612    is in your PATH or set the PKG_CONFIG environment variable to the full
3613    path to pkg-config.
3614    
3615    Alternatively, you may set the environment variables liblocation_CFLAGS
3616    and liblocation_LIBS to avoid the need to call pkg-config.
3617    See the pkg-config man page for more details.
3618    
3619    To get pkg-config, see <http://pkg-config.freedesktop.org/>.
3620    See \`config.log' for more details." >&5
3621    echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
3622    is in your PATH or set the PKG_CONFIG environment variable to the full
3623    path to pkg-config.
3624    
3625    Alternatively, you may set the environment variables liblocation_CFLAGS
3626    and liblocation_LIBS to avoid the need to call pkg-config.
3627    See the pkg-config man page for more details.
3628    
3629    To get pkg-config, see <http://pkg-config.freedesktop.org/>.
3630    See \`config.log' for more details." >&2;}
3631       { (exit 1); exit 1; }; }
3632    else
3633            liblocation_CFLAGS=$pkg_cv_liblocation_CFLAGS
3634            liblocation_LIBS=$pkg_cv_liblocation_LIBS
3635            { echo "$as_me:$LINENO: result: yes" >&5
3636    echo "${ECHO_T}yes" >&6; }
3637            :
3638    fi
3639        CFLAGS="$CFLAGS -DENABLE_LIBLOCATION $liblocation_CFLAGS"
3640        LIBS="$LIBS $liblocation_LIBS"
3641    
3642    else
3643    
3644        { echo "$as_me:$LINENO: WARNING: liblocation not found, trying deprecated gpsbt" >&5
3645    echo "$as_me: WARNING: liblocation not found, trying deprecated gpsbt" >&6;}
3646    
3647        if test -n "$PKG_CONFIG" && \
3648        { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gpsbt\"") >&5
3649      ($PKG_CONFIG --exists --print-errors "gpsbt") 2>&5
3650    ac_status=$?    ac_status=$?
3651    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
3652    (exit $ac_status); }; then    (exit $ac_status); }; then
# Line 3627  else Line 3762  else
3762  echo "${ECHO_T}yes" >&6; }  echo "${ECHO_T}yes" >&6; }
3763          :          :
3764  fi  fi
3765      CFLAGS="$CFLAGS -DENABLE_GPSBT $gpsbt_CFLAGS"        CFLAGS="$CFLAGS -DENABLE_GPSBT $gpsbt_CFLAGS"
3766      LIBS="$LIBS $gpsbt_LIBS"        LIBS="$LIBS $gpsbt_LIBS"
3767    
3768  else  else
3769    { echo "$as_me:$LINENO: WARNING: No gpsbt found, disabling gps auto start!" >&5    { echo "$as_me:$LINENO: WARNING: No liblocation nor gpsbt found, disabling gps auto start!" >&5
3770  echo "$as_me: WARNING: No gpsbt found, disabling gps auto start!" >&6;}  echo "$as_me: WARNING: No liblocation nor gpsbt found, disabling gps auto start!" >&6;}
3771    fi
3772    
3773  fi  fi
3774    
3775    if test -n "$PKG_CONFIG" && \    if test -n "$PKG_CONFIG" && \
3776      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"tablet_browser_interface\"") >&5      { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"tablet-browser-interface\"") >&5
3777    ($PKG_CONFIG --exists --print-errors "tablet_browser_interface") 2>&5    ($PKG_CONFIG --exists --print-errors "tablet-browser-interface") 2>&5
3778    ac_status=$?    ac_status=$?
3779    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
3780    (exit $ac_status); }; then    (exit $ac_status); }; then
# Line 3645  fi Line 3782  fi
3782      CFLAGS="$CFLAGS -DENABLE_BROWSER_INTERFACE"      CFLAGS="$CFLAGS -DENABLE_BROWSER_INTERFACE"
3783    
3784  else  else
3785    { echo "$as_me:$LINENO: WARNING: No table-browser-interface found, disabling microb interface!" >&5    { echo "$as_me:$LINENO: WARNING: No tablet-browser-interface found, disabling microb interface!" >&5
3786  echo "$as_me: WARNING: No table-browser-interface found, disabling microb interface!" >&6;}  echo "$as_me: WARNING: No tablet-browser-interface found, disabling microb interface!" >&6;}
3787  fi  fi
3788    
3789    # maemo uses dbus for ipc with maemo mapper    # maemo uses dbus for ipc with maemo mapper
# Line 4525  osso_CFLAGS!$osso_CFLAGS$ac_delim Line 4662  osso_CFLAGS!$osso_CFLAGS$ac_delim
4662  osso_LIBS!$osso_LIBS$ac_delim  osso_LIBS!$osso_LIBS$ac_delim
4663  hildon_fm_2_CFLAGS!$hildon_fm_2_CFLAGS$ac_delim  hildon_fm_2_CFLAGS!$hildon_fm_2_CFLAGS$ac_delim
4664  hildon_fm_2_LIBS!$hildon_fm_2_LIBS$ac_delim  hildon_fm_2_LIBS!$hildon_fm_2_LIBS$ac_delim
4665    liblocation_CFLAGS!$liblocation_CFLAGS$ac_delim
4666    liblocation_LIBS!$liblocation_LIBS$ac_delim
4667  gpsbt_CFLAGS!$gpsbt_CFLAGS$ac_delim  gpsbt_CFLAGS!$gpsbt_CFLAGS$ac_delim
4668  gpsbt_LIBS!$gpsbt_LIBS$ac_delim  gpsbt_LIBS!$gpsbt_LIBS$ac_delim
4669  EXTRA_OBJS!$EXTRA_OBJS$ac_delim  EXTRA_OBJS!$EXTRA_OBJS$ac_delim
# Line 4537  LIBOBJS!$LIBOBJS$ac_delim Line 4676  LIBOBJS!$LIBOBJS$ac_delim
4676  LTLIBOBJS!$LTLIBOBJS$ac_delim  LTLIBOBJS!$LTLIBOBJS$ac_delim
4677  _ACEOF  _ACEOF
4678    
4679    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 75; then    if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 77; then
4680      break      break
4681    elif $ac_last_try; then    elif $ac_last_try; then
4682      { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5      { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5

Legend:
Removed from v.112  
changed lines
  Added in v.118